%define srcname	LibreCAD
Name:		librecad
Version:	2.0.0
Release:	%mkrel -c rc1 2
URL:		http://www.librecad.org/
License:	GPLv2
Source0:	https://github.com/LibreCAD/LibreCAD/archive/%{version}rc1.tar.gz
Patch0:		librecad-2.0.0-moc.patch
Group:		Graphics/3D
Summary:	An generic 2D CAD program
BuildRequires:	qt4-devel
BuildRequires:	qt4-assistant
BuildRequires:	muparser-devel
BuildRequires:	qt4-linguist
BuildRequires:	boost-devel
BuildRequires:	desktop-file-utils
Suggests:	%{name}-data
Suggests:	%{name}-parts
Suggests:	%{name}-doc
Suggests:	%{name}-plugins

%description
LibreCAD is a Qt4 application to design 2D cad drawing based on the community
edition of QCad.

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/pixmaps/%{name}.png

#-----------------------------------------------------------------------------

%package data
Summary: Data platform independent files for %{name}
Requires:	%{name}
BuildArch:	noarch

%description data
LibreCAD is an application for computer aided design (CAD) in two
dimensions (2D).

This package contains plataform independent files for LibreCAD, including
fonts, patterns, and interface translations.

%files data
%{_datadir}/%{name}/qm/
%{_datadir}/%{name}/fonts/
%{_datadir}/%{name}/patterns/

#------------------------------------------------------------------------------

%package parts
Summary: Parts collection for %{name}
Requires: %{name}
BuildArch:	noarch


%description parts
Collection of parts for %{name}, a Qt4 application to design 2D cad drawing
based on the community edition of QCad.

%files parts
%{_datadir}/%{name}/library

#------------------------------------------------------------------------------

%package plugins
Group:		Graphics/3D
Summary:	Plugins libraries files for %{name}
Requires:	%{name}

%description plugins
Contains the plugins files for LibreCAD.

%files plugins
%{_libdir}/%{name}/plugins/

#------------------------------------------------------------------------------

%package doc
Summary: Documentation for %{name}
BuildArch:	noarch
Conflicts:	librecad < 1.0.0-0.rc2

%description doc
LibreCAD is an application for computer aided design (CAD) in two dimensions
(2D).

This package contains documentation for LibreCAD.
%files doc
%doc README.md
%doc %{_datadir}/doc/%{name}/html/

#------------------------------------------------------------------------------

%prep
%setup -qn LibreCAD-%{version}rc1
%apply_patches
echo 'MUPARSER_DIR = %{_prefix}' >> settings_linux.pro
echo 'BOOST_DIR = %{_includedir}' >> settings_linux.pro
echo 'BOOST_LIBDIR = %{_libdir}' >> settings_linux.pro

%build
%qmake_qt4 librecad.pro
%make

%install
# Let's create the directory structure
%__install -d %{buildroot}%{_datadir}/%{name}/{fonts,patterns,qm,library/misc,library/templates,doc}
%__install -d %{buildroot}%{_datadir}/doc/%{name}/html/{classref/html/,img,imgs}
%__install -d %{buildroot}%{_datadir}/applications/
%__install -d %{buildroot}%{_libdir}/%{name}/plugins
# Now install all files
%__install -Dm 755 unix/%{name} %{buildroot}/%{_bindir}/%{name}
%__install -Dm 644 librecad/res/main/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%__install -t %{buildroot}%{_datadir}/%{name}/patterns/  unix/resources/patterns/*.dxf
%__install -t %{buildroot}%{_datadir}/%{name}/fonts/  unix/resources/fonts/*
%__install -t %{buildroot}%{_datadir}/%{name}/library/misc  unix/resources/library/misc/*
%__install -t %{buildroot}%{_datadir}/%{name}/library/templates unix/resources/library/templates/*
%__install -t %{buildroot}%{_datadir}/%{name}/qm/  unix/resources/qm/*.qm
%__install -t %{buildroot}%{_libdir}/%{name}/plugins/ unix/resources/plugins/* 
# Install documentation files
%__install -t %{buildroot}%{_datadir}/doc/%{name}/html  librecad/support/doc/*.html

# Create the desktop file
mkdir -p  %{buildroot}%{_datadir}/applications/
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	--add-category="Qt" \
	desktop/librecad.desktop

install -m0644 -D desktop/librecad.sharedmimeinfo %{buildroot}%{_datadir}/mime/packages/%{name}.xml

%find_lang %{name}


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.0-0.rc1.2.mga4
+ Revision: 531547
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 2.0.0-0.rc1.1.mga4
+ Revision: 463943
- update file list
- update file list
- update file list
- update pixmap file location
- fix build within moc
- update settings switch
- br boost
- new version 2.0.0rc1

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-3.mga3
+ Revision: 358088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 1.0.2-2.mga3
+ Revision: 323446
- fix rpm group

* Sat Jun 16 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 260984
- br muparser
- new version 1.0.2
- lcms 2 is not needed

* Fri Jan 20 2012 schultz <schultz> 1.0.0-1.mga2
+ Revision: 198733
- fix plugins subpackge filelist
- Update to 1 final
- fix file list
- fix install

* Sat Oct 29 2011 fwang <fwang> 1.0.0-0.rc4.1.mga2
+ Revision: 159715
- new version 1.0 rc4

* Sat Oct 01 2011 fwang <fwang> 1.0.0-0.rc3.1.mga2
+ Revision: 150703
- updated to rc3

* Sun Sep 25 2011 mikala <mikala> 1.0.0-0.rc2.1.mga2
+ Revision: 147585
- Fix .desktop creation
- remove rm -rf %%buildroot from %%install (not needed anymore)
- Remove %%defattr() & %%clean section
- fix Release tag

  + schultz <schultz>
    - Use pkgconfig
      Fix some doc issues
    - Fix file confict - README moved to doc package
      Add plugin package
    - remove rs_debug.patch
    - Remove beta5 tarball
    - Remove rs_debug patch, not needed anymore
      Add rs_ellipse patch - fixes build
      Update to RC2

* Mon May 02 2011 mikala <mikala> 1.0.0-0.beta5.mga1
+ Revision: 94283
- imported package librecad

